@font-face {
	font-family: ingleby;
	src: local('Ingleby Regular'), local('Ingleby'), url('./font/Ingleby_regular.ttf');
}

* {
	vertical-align: top;
}

body, html {
	margin: 0;
	padding: 0;
	/*box-sizing: border-box;
	-moz-box-sizing: border-box;*/
	height: 100%;
}

body {
	background: #000;
	color: #fff;
	font: 18px ingleby, 'Times New Roman', Times, serif;
	background: url('../img/ui/leather.png');
}

#wholecontainer {
	//position: relative;
	//display: inline-block;
	position: absolute;
	top: 0%; left: 0%;
	min-width: 100%;
	height: 100%;
	&.loading {
		background-image: url('../img/loading.gif');
		background-repeat: no-repeat;
		background-position: 0 100%;
		#ui {
			display: none;
		}
	}
	#messages {
		position: absolute;
		top: 40%;
		left: 0;
		width: 100%;
		text-align: center;
		z-index: 9999;
		.message {
			margin: 0 auto;
			width: 50%;
			height: 100%;
			background: #000;
		}
	}
	#ui {
		position: relative;
		//border: 10px solid #000;
		padding: 36px;
		box-sizing: border-box;
		-moz-box-sizing: border-box;
		min-width: 100%;
		height: 100%;
		z-index: 10;
	}
}

#dksui {
	position: relative;
	display: inline-block;
	min-width: 100%;
	height: 100%;
	#heading {
		position: absolute;
		top: 0; left: 0;
		width: 100%;
		height: 80px;
		#covenant_icon {
			position: absolute;
			top: 0; left: 0;
			padding: 5px;
			width: 65px;
			height: 65px;
			background: url('../img/ui/covenant_icon.png') no-repeat 50% 50%;
			img {
				width: 100%;
				height: 100%;
			}
		}
		#character_name,
		#covenant_name {
			margin-left: 80px;
		}
		#character_name {
			padding-top: 0;
			font-size: 1.75em;
			line-height: 100%;
		}
		#covenant_name {
			font-size: 1.25em;
		}
	}
	.ui_row,
	#status>div>ul {
		border: 2px solid #4E3C2A;
		border-width: 0 0 3px 0;
		-webkit-border-image: url('../img/ui/border.png') 3 3 round;
		-o-border-image: url('../img/ui/border.png') 3 3 round;
		border-image: url('../img/ui/border.png') 3 3 round;
		padding: 3px 0;
	}
	#inventory_and_status {
		display: inline-block;
		padding-top: 90px;
		box-sizing: border-box;
		-moz-box-sizing: border-box;
		min-width: 100%;
		height: 100%;
		min-height: 720px;
		white-space: nowrap;
		.slot {
			position: relative;
			display: inline-block;
			margin-bottom: 10px;
			padding-top: 10px;
			width: 80px;
			height: 90px;
			background: url('../img/ui/slot.png') no-repeat 0 100%;
			background-size: 200% 100%;
			vertical-align: middle;
			&:hover {
				background-position: 100% 100%;
			}
			a {
				position: relative;
				display: block;
				width: 100%;
				height: 100%;
				background: url('../img/ui/slot_base.png') no-repeat 50% 100%;
				background-size: 100% auto;
				img {
					position: relative;
					top: -10px;
					display: block;
					width: 100%;
					height: 100%;
				}
			}
			em {
				position: absolute;
				right: 4px;
				bottom: 10px;
				width: 30px;
				height: 30px;
				z-index: 99;
				background-repeat: no-repeat 50% 100%;
				background-size: 100% auto;
				&.raw { background-image: url('../img/stats/weapon-raw.png'); }
				&.divine { background-image: url('../img/stats/weapon-divine.png'); }
				&.occult { background-image: url('../img/stats/weapon-occult.png'); }
				&.magic { background-image: url('../img/stats/weapon-magic.png'); }
				&.enchanted { background-image: url('../img/stats/weapon-enchanted.png'); }
				&.flame, &.fire { background-image: url('../img/stats/weapon-fire.png'); }
				&.chaos { background-image: url('../img/stats/weapon-chaos.png'); }
				&.crystal { background-image: url('../img/stats/weapon-crystal.png'); }
				&.lightning { background-image: url('../img/stats/weapon-lightning.png'); }
			}
		}
		#objects_and_quiver .slot,
		#rings .slot {
			margin-top: 10px;
			padding-top: 7.5px;
			width: 62px;
			height: 70px;
		}
		#attunement .slot {
			margin-left: 10px;
		}
		#right_hand,
		#left_hand,
		#objects,
		#arrows,
		#darts,
		#armour,
		#rings,
		#attunement {
			position: relative;
			padding-left: 60px;
			&:before {
				content: '';
				position: absolute;
				top: 10px; left: 0;
				width: 60px;
				height: 100%;
				max-height: 90px;
				background: url('../img/ui/icons.png') no-repeat 0 50%;
			}
		}
		#right_hand:before { background-position: 0 50% }
		#left_hand:before { background-position: -60px 50% }
		#objects:before { background-position: -120px 50% }
		#arrows:before { background-position: -180px 50% }
		#darts:before { background-position: -240px 50% }
		#armour:before { background-position: -300px 50% }
		#rings:before { background-position: -360px 50% }
		#attunement:before { background-position: -420px 50% }
		#inventory,
		#status {
			display: inline-block;
			height: 100%;
			white-space: nowrap;
		}
		#inventory {
			width: 660px;
			#weapons {
				display: inline-block;
				margin: 0 6px 6px 0;
				border-width: 0 3px 0 0;
				padding: 0 6px 0 0;
				width: 245px;
				#right_hand {
					margin-bottom: 6px;
				}
			}
			#objects_and_quiver {
				display: inline-block;
				width: 400px;
				#objects {
					margin-bottom: 20px;
				}
				#arrows,
				#darts {
					display: inline-block;
					padding-right: 10px;
					width: 124px;
				}
			}
			#armour,
			#rings {
				display: inline-block;
				vertical-align: middle;
			}
			#armour {
				width: 400px;
				.slot {
					margin-left: 10px;
				}
			}
			#rings {
				width: 134px;
			}
			#attunement {
				margin: 6px 0;
				white-space: normal;
			}
			#inventory_desc {
				padding: 0 40px 40px;
				.ui_row {
					border-width: 3px 0 0 0;
					padding: 0 30px;
					#desc_slot {
						padding: 10px 0;
						font-size: 1.25em;
					}
					#desc_item {
						font-size: 1.5em;
					}
				}
			}
		}
		#status {
			padding-left: 20px;
			font-size: 1.25em;
			&>div {
				display: inline-block;
				border: solid #000;
				border-width: 50px 70px;
				-webkit-border-image: url('../img/ui/stats_border.png') 50 70 round;
				-o-border-image: url('../img/ui/stats_border.png') 50 70 round;
				border-image: url('../img/ui/stats_border.png') 50 70 round;
				width: 440px;
				height: 100%;
				box-sizing: border-box;
				-moz-box-sizing: border-box;
				white-space: normal;
				ul {
					margin: 0;
					padding: 6px 0;
					list-style-type: none;
					&:last-of-type {
						border-width: 0;
					}
					li {
						position: relative;
						padding: 2px 0 2px 34px;
						min-height: 28px;
						background-repeat: no-repeat;
						line-height: 28px;
						&#souls_level { background-image: url('../img/stats/soul_level.png'); }
						&#souls_spent { background-image: url('../img/stats/souls.png'); }
						&#souls_next { background-image: url('../img/stats/soul_next.png'); }
						&#points_vitality { background-image: url('../img/stats/vitality.png'); }
						&#points_attunement { background-image: url('../img/stats/attunement.png'); }
						&#points_endurance { background-image: url('../img/stats/endurance.png'); }
						&#points_strength { background-image: url('../img/stats/strength.png'); }
						&#points_dexterity { background-image: url('../img/stats/dexterity.png'); }
						&#points_resistance { background-image: url('../img/stats/resistance.png'); }
						&#points_intelligence { background-image: url('../img/stats/intelligence.png'); }
						&#points_faith { background-image: url('../img/stats/faith.png'); }
						&#humanity_count { background-image: url('../img/stats/humanity.png'); }
						&#energy_hp { background-image: url('../img/stats/health.png'); }
						&#energy_stamina { background-image: url('../img/stats/stamina.png'); }
						&#energy_equipload { background-image: url('../img/stats/equip_load.png'); }
						&#atk_rweap1 { background-image: url('../img/stats/atk_right.png'); }
						&#atk_rweap2 { background-image: url('../img/stats/atk_right.png'); }
						&#atk_lweap1 { background-image: url('../img/stats/atk_left.png'); }
						&#atk_lweap2 { background-image: url('../img/stats/atk_left.png'); }
						&#def_physical { background-image: url('../img/stats/def_physical.png'); }
						&#def_strike { background-image: url('../img/stats/def_strike.png'); }
						&#def_slash { background-image: url('../img/stats/def_slash.png'); }
						&#def_thrust { background-image: url('../img/stats/def_thrust.png'); }
						&#def_magic { background-image: url('../img/stats/def_magic.png'); }
						&#def_flame { background-image: url('../img/stats/def_flame.png'); }
						&#def_lightning { background-image: url('../img/stats/def_lightning.png'); }
						&#resist_poise { background-image: url('../img/stats/poise.png'); }
						&#resist_bleed { background-image: url('../img/stats/bleed_resist.png'); }
						&#resist_poison { background-image: url('../img/stats/poison_resist.png'); }
						&#resist_curse { background-image: url('../img/stats/curse_resist.png'); }
						&#discovery_item { background-image: url('../img/stats/item_discovery.png'); }
						&#sorceries_slots { padding-left: 0; }
						ins {
							position: absolute;
							top: 2px;
							right: 0;
							text-decoration: none;
						}
					}
				}
			}
		}
	}
}
